
Katello - Bug #5776

org admin user cannot see or create lifecycle environments

05/17/2014 02:16 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1098710 Red Hat JIRA:  

Pull request:    

Description

org admin role: https://github.com/Katello/hammer-cli-csv/blob/master/test/data/roles.csv#L120

Visiting lifecycle-environment UI page does not show any existing environments (Library and Dev in my case), nor is there any way

to create an environment.

History

#1 - 05/17/2014 02:16 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1098710

#2 - 05/17/2014 02:18 PM - Thomas McKay

I missed an error in the log:

SQL (0.3ms)  SELECT "katello_environments"."id" FROM "katello_environments" WHERE "katello_environments"."orga

nization_id" = 3

ScopedSearch::QueryNotSupported: Field 'location_id' not recognized for searching!

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/scoped_search-2.7.1/lib/scoped_search/query_builder.rb:450:in

 `to_single_field_sql'

 Perhaps role incorrectly created via api and katello objects should validate that locations are not included in taxonomy?

#3 - 05/19/2014 09:22 PM - Brad Buckingham

- Assignee set to Partha Aji

- Triaged changed from No to Yes

#4 - 08/25/2014 11:33 AM - Partha Aji

BZ was marked closed

#5 - 08/25/2014 11:33 AM - Partha Aji

- Status changed from New to Closed

#6 - 09/15/2014 02:19 PM - Eric Helms

- translation missing: en.field_release set to 13
